Bug 57341 - Unused variable 'ptr' in highmem.h
Summary: Unused variable 'ptr' in highmem.h
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-10 17:24 UTC by Steffanie Jann
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 23:25:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steffanie Jann 2001-12-10 17:24:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
In the 2.4.9-17.6 kernel of QA1207 
There is a unused variable 'ptr' in highmem.h in the 
function 'bh_kunmap_irq'. 

This warning is seen when compiling using highmem.h.
"/lib/modules/2.4.9-17.3smp/build/include/linux/highmem.h: In function 
`bh_kunmap_irq':
/lib/modules/2.4.9-17.3smp/build/include/linux/highmem.h:58: warning: 
unused variable `ptr'"

The warning goes away when ptr is removed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile anything that uses highmem.h
2. Warnings will appear that there is an unused variable 'ptr' in 
function 'bh_kunmap_irq' in highmem.h
3.
	

Actual Results:  /lib/modules/2.4.9-17.3smp/build/include/linux/highmem.h: 
In function `bh_kunmap_irq':
/lib/modules/2.4.9-17.3smp/build/include/linux/highmem.h:58: warning: 
unused variable `ptr'

Expected Results:  No warning are expected during compile.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.